﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDockManagerTesting
{
    public class ViewModel: INotifyPropertyChanged
    {
        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

        public ViewModel()
        {
            Items = new ObservableCollection<WsModel>()
            {
                new WsModel { Header = "tab 1" },
                new WsModel { Header = "tab 2" },
                new WsModel { Header = "tab 3" },
            };
        }

        public ObservableCollection<WsModel> Items { get; set; }
    }
}
